--by susi&wing /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local sandHudFile = "huds/hud_fill_sand.dds"
	    local sandHudFileSmall = "huds/hud_fill_sand_sml.dds"
	    local gravelHudFile = "huds/hud_fill_kies.dds"
	    local gravelHudFileSmall = "huds/hud_fill_kies_sml.dds"      		
		
		print();
        local sandFilType = g_fillTypeManager:addFillType("SAND", g_i18n:getText("sand"), true, priceMaize * 1.1, 0.00045, math.rad(40), sandHudFile, sandHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local gravelFilType = g_fillTypeManager:addFillType("GRAVEL", g_i18n:getText("gravel"), true, priceMaize * 1.1, 0.00045, math.rad(40), gravelHudFile, gravelHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local sandCategory = {"BULK"}
		local gravelCategory = {"BULK"}
	    for _,k in pairs(sandCategory) do
			g_fillTypeManager:addFillTypeToCategory(sandFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		for _,k in pairs(gravelCategory) do
			g_fillTypeManager:addFillTypeToCategory(gravelFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hassand=false	
		local hasgravel=false
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hassand=false
		hasgravel=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "SAND" then
					hassand=true								
				end;
				if fillname == "GRAVEL" then
					hasgravel=true								
				end;
			end;
				
				if hasmaize and not hassand then
					--add SAND zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("SAND")
					local price = g_fillTypeManager:getFillTypeByName("SAND").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("SAND")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not hasgravel then
					--add GRAVEL zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("GRAVEL")
					local price = g_fillTypeManager:getFillTypeByName("GRAVEL").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("GRAVEL")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
		end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

